package test

import (
	"encoding/json"
	"fmt"
	"rs/untils/sign"
	"testing"
	"time"
)

const PrimaryKey = "7af832e02270c317ad2ed97ded249dce"

func TestSign(t *testing.T) {

	var (
		reqDataMap map[string]interface{}
	)
	j := "{\"createTime\":1725517987,\"deliverOrderNo\":\"DELIVER_1725517987405652\",\"extendParams\":\"{\\\"appId\\\":\\\"YL20220531\\\",\\\"num\\\":1,\\\"posId\\\":\\\"YL20220531\\\"}\",\"requestTime\":1725517987,\"sign\":\"NGQzZGVkODI3NTk5MGQxNTM1MDdkMjY3ZGY3YzI2ODViNTk0NTgyYmI0YmY2YmUzMzNlNGRhZTY4OTg4NjU2NQ==\",\"supplierId\":10702124,\"supplierSkuId\":632,\"thirdSkuId\":\"20240806YLYK\"}"
	err := json.Unmarshal([]byte(j), &reqDataMap)
	if err != nil {
		panic("j")
	}
	sysSign, err := sign.GetSign(reqDataMap, PrimaryKey)
	fmt.Println(sysSign)
}

func TestTime(t *testing.T) {

	fmt.Println(time.Now().Unix())
}
